clarkk clarkk - 3 months ago 167
PHP Question

PHP5.6 and APC installation

How to install APC under PHP 5.6?

APC is installed

apt-get install php-pear php5-dev make libpcre3-dev
pecl install apc

# locate apc.so
/usr/lib/php5/20100525/apc.so


APC is added to php.ini

extension=apc.so


But APC is not mentioned in output from
phpinfo()


Fatal error: Call to undefined function apc_fetch()

Answer

APC is (more or less) a deprecated package (the last release, 3.1.14, was unstable and had to be rolled back). It has been replaced by the core package opcache.

I'm not sure about Debian flavors (all my searches return the PECL library while opcache is native to 5.6) but in CentOS you have to install the php-opcache package, which contains the opcahce.so file.

Comments